org.apache.tinkerpop.gremlin.process.traversal

## Enum Operator

- java.lang.Object
- - java.lang.Enum<Operator>
  - - org.apache.tinkerpop.gremlin.process.traversal.Operator

- All Implemented Interfaces:
    Serializable, Comparable<Operator>, BiFunction<Object,Object,Object>, BinaryOperator<Object>

      public enum Operator
      extends Enum<Operator>
      implements BinaryOperator<Object>

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `addAll`
    `and`
    `assign`
    `div`
    `max`
    `min`
    `minus`
    `mult`
    `or`
    `sum`
    `sumLong`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Operator` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Operator[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.BinaryOperator

      `maxBy, minBy`

    - ### Methods inherited from interface java.util.function.BiFunction

      `andThen, apply`

- - ### Enum Constant Detail

    - #### sum

          public static final Operator sum

    - #### minus

          public static final Operator minus

    - #### mult

          public static final Operator mult

    - #### div

          public static final Operator div

    - #### min

          public static final Operator min

    - #### max

          public static final Operator max

    - #### assign

          public static final Operator assign

    - #### and

          public static final Operator and

    - #### or

          public static final Operator or

    - #### addAll

          public static final Operator addAll

    - #### sumLong

          public static final Operator sumLong

  - ### Method Detail

    - #### values

          public static Operator[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Operator c : Operator.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Operator valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.